attach(mtcars)
par(mfrow=c(2,5))

jfree<-read.table("jfreechart/Assertion_coverage/results-control-assertion-coverage.txt")
TypeJfree<-c(rep(4.2, 50), rep(8.4, 50), rep(12.5, 50), rep(16.7, 50), rep(20.9, 50), rep(25.1, 50))
ImplicitJfree<-jfree$V2/11299
ExplicitJfree<-(jfree$V2-jfree$V3)/11299
JFreeImplicit<-data.frame(ImplicitJfree,TypeJfree)
JFreeImplicit$TypeJfree = factor(JFreeImplicit$TypeJfree, c(4.2, 8.4, 12.5, 16.7, 20.9, 25.1))
plot(ImplicitJfree ~ TypeJfree, xlab = NULL, ylab = NULL, data=JFreeImplicit,cex.lab=1.5, cex.axis=1, cex.main=1.5, cex.sub=1.5)
fitJfree<-lm(ImplicitJfree~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50), rep(6, 50)))
abline(fitJfree, col="red")
legend("bottomright", legend = "R^2 = 0.9927")
title("JFreeChart")

commons<-read.table("commonslang/results-control-assertion-coverage.txt")
TypeCommons<-c(rep(9.9, 50), rep(17.7, 50), rep(25.5, 50), rep(33.7, 50), rep(41.4, 50))
ImplicitCommons<-commons$V2/9952
ExplicitCommons<-(commons$V2-commons$V3)/9952
CommonsImplicit<-data.frame(ImplicitCommons,TypeCommons)
CommonsImplicit$TypeCommons = factor(CommonsImplicit$TypeCommons, c(9.9, 17.7, 25.5, 33.7, 41.4))
plot(ImplicitCommons ~ TypeCommons, xlab = NULL, ylab = NULL, data=CommonsImplicit,cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitCommons<-lm(ImplicitCommons~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)))
abline(fitCommons, col="red")
legend("bottomright", legend = "R^2 = 0.9936")
title("Apache Commons Lang")

library<-read.table("javalibrary/results-control-assertion-coverage.txt")
TypeLibrary<-c(rep(6.7, 50), rep(13.5, 49), rep(20.2, 50), rep(26.9, 50), rep(33.6, 50))
ImplicitLibrary<-library$V2/2546
ExplicitLibrary<-(library$V2-library$V3)/2546
LibraryImplicit<-data.frame(ImplicitLibrary,TypeLibrary)
LibraryImplicit$TypeLibrary = factor(LibraryImplicit$TypeLibrary, c(6.7, 13.5, 20.2, 26.9, 33.6))
plot(ImplicitLibrary ~ TypeLibrary, xlab = NULL, ylab = NULL, data=LibraryImplicit,cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitLibrary<-lm(ImplicitLibrary~c(rep(1, 50), rep(2, 50), rep(3, 49), rep(4, 50), rep(5, 50)))
abline(fitLibrary, col="red")
legend("bottomright", legend = "R^2 = 0.9417")
title("Urban Airship Java Library")

lambdaj<-read.table("lambdaj/results-control-assertion-coverage.txt")
TypeLambdaj<-c(rep(9.5, 50), rep(19, 50), rep(28.5, 50), rep(38, 50), rep(47.5, 50))
ImplicitLambdaj<-lambdaj$V2/1084
ExplicitLambdaj<-(lambdaj$V2-lambdaj$V3)/1084
LambdajImplicit<-data.frame(ImplicitLambdaj,TypeLambdaj)
LambdajImplicit$TypeLambdaj = factor(LambdajImplicit$TypeLambdaj, c(9.5, 19, 28.5, 38, 47.5))
plot(ImplicitLambdaj ~ TypeLambdaj, xlab = NULL, ylab = NULL,data=LambdajImplicit,cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitLambdaj<-lm(ImplicitLambdaj~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)))
abline(fitLambdaj, col="red")
legend("bottomright", legend = "R^2 = 0.9631")
title("lambdaj")

asterisk<-read.table("asterisk/results-control-assertion-coverage.txt")
TypeAsterisk<-c(rep(1.6, 50), rep(3, 50), rep(4.3, 50), rep(5.8, 50), rep(7.3, 50))
ImplicitAsterisk<-asterisk$V2/957
ExplicitAsterisk<-(asterisk$V2-asterisk$V3)/957
AsteriskImplicit<-data.frame(ImplicitAsterisk,TypeAsterisk)
AsteriskImplicit$TypeAsterisk = factor(AsteriskImplicit$TypeAsterisk, c(1.6, 3, 4.3, 5.8, 7.3))
plot(ImplicitAsterisk ~ TypeAsterisk, xlab = NULL, ylab = NULL,data=AsteriskImplicit,cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitAsterisk<-lm(ImplicitAsterisk~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)))
abline(fitAsterisk, col="red")
legend("bottomright", legend = "R^2 = 0.9459")
title("Asterisk-Java")




JFreeExplicit<-data.frame(ExplicitJfree,TypeJfree)
JFreeExplicit$TypeJfree = factor(JFreeExplicit$TypeJfree, c(4.2, 8.4, 12.5, 16.7, 20.9, 25.1))
plot(ExplicitJfree~TypeJfree, data=JFreeExplicit, xlab = NULL, ylab = NULL, cex.lab=1.5, cex.axis=1, cex.main=1.5, cex.sub=1.5)
fitExJfree<-lm(ExplicitJfree~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50), rep(6, 50)))
abline(fitExJfree, col="red")
legend("bottomright", legend = "R^2 = 0.8321")
title("JFreeChart")

CommonsExplicit<-data.frame(ExplicitCommons,TypeCommons)
CommonsExplicit$TypeCommons = factor(CommonsExplicit$TypeCommons, c(9.9, 17.7, 25.5, 33.7, 41.4))
plot(ExplicitCommons ~ TypeCommons, data=CommonsExplicit, xlab = NULL, ylab = NULL, cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitExCommons<-lm(ExplicitCommons~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)))
abline(fitExCommons, col="red")
legend("bottomright", legend = "R^2 = 0.9901")
title("Apache Commons Lang")

LibraryExplicit<-data.frame(ExplicitLibrary,TypeLibrary)
LibraryExplicit$TypeLibrary = factor(LibraryExplicit$TypeLibrary, c(6.7, 13.5, 20.2, 26.9, 33.6))
plot(ExplicitLibrary ~ TypeLibrary, data=LibraryExplicit, xlab = NULL, ylab = NULL, cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitExLibrary<-lm(ExplicitLibrary~c(rep(1, 50), rep(2, 50), rep(3, 49), rep(4, 50), rep(5, 50)))
abline(fitExLibrary, col="red")
legend("bottomright", legend = "R^2 = 0.8327")
title("Urban Airship Java Library")


LambdajExplicit<-data.frame(ExplicitLambdaj,TypeLambdaj)
LambdajExplicit$TypeLambdaj = factor(LambdajExplicit$TypeLambdaj, c(9.5, 19, 28.5, 38, 47.5))
plot(ExplicitLambdaj ~ TypeLambdaj, data=LambdajExplicit, xlab = NULL, ylab = NULL, cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitExLambdaj<-lm(ExplicitLambdaj~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)))
abline(fitExLambdaj, col="red")
legend("bottomright", legend = "R^2 = 0.8634")
title("lambdaj")

AsteriskExplicit<-data.frame(ExplicitAsterisk,TypeAsterisk)
AsteriskExplicit$TypeAsterisk = factor(AsteriskExplicit$TypeAsterisk, c(1.6, 3, 4.3, 5.8, 7.3))
plot(ExplicitAsterisk ~ TypeAsterisk, data=AsteriskExplicit, xlab = NULL, ylab = NULL, cex.lab=1.5, cex.axis=1.2, cex.main=1.5, cex.sub=1.5)
fitExAsterisk<-lm(ExplicitAsterisk~c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)))
abline(fitExAsterisk, col="red")
legend("bottomright", legend = "R^2 = 0.8014")
title("Asterisk-Java")

mtext("Mutation Score", at=1.8, side=2, line=70.5,cex=1.1)


mtext("Explicit Mutation Score", at=0.39, side=2, line=70.5,cex=1.1)
mtext("Assertion coverage", at=-14, side=1, line=4,cex=1.1)

summary(fitJfree)
summary(fitCommons)
summary(fitLibrary)
summary(fitLambdaj)
summary(fitAsterisk)

summary(fitExJfree)
summary(fitExCommons)
summary(fitExLibrary)
summary(fitExLambdaj)
summary(fitExAsterisk)

cor(ImplicitJfree, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50), rep(6, 50)), method="kendall")
cor(ImplicitCommons, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)), method="kendall")
cor(ImplicitLibrary, c(rep(1, 50), rep(2, 50), rep(3, 49), rep(4, 50), rep(5, 50)), method="kendall")
cor(ImplicitLambdaj, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)), method="kendall")
cor(ImplicitAsterisk, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)), method="kendall")

 cor(ExplicitJfree, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50), rep(6, 50)), method="kendall")
cor(ExplicitCommons, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)), method="kendall")
cor(ExplicitLibrary, c(rep(1, 50), rep(2, 50), rep(3, 49), rep(4, 50), rep(5, 50)), method="kendall")
cor(ExplicitLambdaj, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)), method="kendall")
cor(ExplicitAsterisk, c(rep(1, 50), rep(2, 50), rep(3, 50), rep(4, 50), rep(5, 50)), method="kendall")

