##Assertion Content Type
String<-read.table("jfreechart/Assertion_types/results-String.txt")
Boolean<-read.table("jfreechart/Assertion_types/results-Boolean.txt")
Number<-read.table("jfreechart/Assertion_types/results-Number.txt")
Object<-read.table("jfreechart/Assertion_types/results-Object.txt")


MutationScore<-c(Object$V3/11299, Boolean$V3/11299, Number$V3/11299, String$V3/11299)
Type<-c(rep("Object", 50), rep("Boolean", 50), rep("Number", 50), rep("String", 50))
ContentTypeMutationScore<-data.frame(MutationScore,Type)
ContentTypeMutationScore$Type = factor(ContentTypeMutationScore$Type,c("Object","Boolean","Number", "String"))

fit1<-aov(MutationScore ~ Type, data=ContentTypeMutationScore)
summary(fit1)
pairwise.t.test(ContentTypeMutationScore$MutationScore, ContentTypeMutationScore$Type, alternative = c("two.sided", "less", "greater"))
##Tukey's Honest Significance Test
TukeyHSD(fit1, conf.level = 0.95)

plot(MutationScore ~ Type, data=ContentTypeMutationScore, xlab="", ylab="", ylim=c(0.38, 0.5), cex.lab=1.75, cex.axis=1.75, cex.main=1.75, cex.sub=1.75)
text(1, 0.382, "1,307", col="red", cex=2.5)
text(2, 0.382, "4,940", col="red", cex=2.5)
text(3, 0.382, "1,754", col="red", cex=2.5)
text(4, 0.382, "208", col="red", cex=2.5)

mtext("Mutation Score", cex=2.1, side=2, line=2.6)
mtext("Assertion Content Type", cex=2.1, side=1, line=2.6)

##Assertion Method Type
AssertTrueOrFalse<-read.table("jfreechart/Assertion_types/results-assertTrueOrFalse.txt")
AssertNullOrNot<-read.table("jfreechart/Assertion_types/results-AssertNullOrNot.txt")
AssertEqualsOrNot<-read.table("jfreechart/Assertion_types/results-assertEqualsOrNot.txt")

MutationScore1<-c(AssertTrueOrFalse$V3/11299, AssertEqualsOrNot$V3/11299, AssertNullOrNot$V3/11299)
Type1<-c(rep("TrueOrFalse", 50), rep("NullOrNot", 50), rep("EqualsOrNot", 50))
AssertionTypeMutationScore<-data.frame(MutationScore1,Type1)
AssertionTypeMutationScore$Type1 = factor(AssertionTypeMutationScore$Type1,c("TrueOrFalse","NullOrNot","EqualsOrNot"))

fit2<-aov(MutationScore1 ~ Type1, data=AssertionTypeMutationScore)
summary(fit2)
pairwise.t.test(AssertionTypeMutationScore$MutationScore1, AssertionTypeMutationScore$Type1, alternative = c("two.sided", "less", "greater"))

##Tukey's Honest Significance Test
TukeyHSD(fit2, conf.level = 0.95)

plot(MutationScore1 ~ Type1, data=AssertionTypeMutationScore, xlab="", ylab="", ylim=c(0.37, 0.45),cex.lab=1.75, cex.axis=1.75, cex.main=1.75, cex.sub=1.75)
text(1, 0.372, "5,229", col="red", cex=2.5)
text(2, 0.372, "167", col="red", cex=2.5)
text(3, 0.372, "3,481", col="red", cex=2.5)


mtext("Mutation Score", cex=2.1, side=2, line=2.6)
mtext("Assertion Method Type", cex=2.1, side=1, line=2.6)